\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::compare_xy() (3D Spherical Kernel)
CGAL::compare_xy()

##

See Chapter 3D Spherical Geometry Kernel.

#include <CGAL/global_functions_spherical_kernel_3.h>

## Functions
template<typename SphericalKernel >
Comparison_result | CGAL::compare_xy (const CGAL::Circular_arc_point_3< SphericalKernel > &p, const CGAL::Circular_arc_point_3< SphericalKernel > &q)
| Compares the \( x\) and \( y\) Cartesian coordinates of points `p` and `q` lexicographically.
template<typename SphericalKernel >
Comparison_result | CGAL::compare_xy (const CGAL::Circular_arc_point_3< SphericalKernel > &p, const CGAL::Point_3< SphericalKernel > &q)
| Compares the \( x\) and \( y\) Cartesian coordinates of points `p` and `q` lexicographically.